summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD44
-rw-r--r--install.sh11
3 files changed, 70 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..103bc51434c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = emacs-scala-mode-git
+ pkgdesc = Scala-mode for emacs, from the official Scala Github repository
+ pkgver = 20150424
+ pkgrel = 1
+ url = https://github.com/scala/scala-tool-support/tree/master/tool-support/emacs
+ install = install.sh
+ arch = any
+ license = BSD
+ makedepends = git
+ depends = emacs
+ provides = emacs-scala-mode
+ conflicts = emacs-scala-mode
+
+pkgname = emacs-scala-mode-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..7b05e02be67
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,44 @@
+# Contributor: sumito3478 <sumito3478@gmail.com>
+pkgname=emacs-scala-mode-git
+pkgver=20150424
+pkgrel=1
+pkgdesc="Scala-mode for emacs, from the official Scala Github repository"
+arch=('any')
+url="https://github.com/scala/scala-tool-support/tree/master/tool-support/emacs"
+license=('BSD')
+depends=('emacs')
+makedepends=('git')
+provides=('emacs-scala-mode')
+conflicts=('emacs-scala-mode')
+install=install.sh
+
+_gitroot="https://github.com/scala/scala-tool-support.git"
+_gitname=scala-dist
+
+build() {
+ cd "$srcdir"
+ msg "Connecting to GIT server...."
+
+ if [[ -d "$_gitname" ]]; then
+ cd "$_gitname" && git pull origin
+ msg "The local files are updated."
+ else
+ git clone "$_gitroot" "$_gitname"
+ fi
+
+ msg "GIT checkout done or server timeout"
+
+ cd "$srcdir/$_gitname"
+ cd "tool-support/emacs"
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$_gitname"
+ cd "tool-support/emacs"
+
+ install -d -m755 ${pkgdir}/usr/share/emacs/scala-mode/ || return 1
+ install -D -m644 *.elc ${pkgdir}/usr/share/emacs/scala-mode/ || return 1
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/install.sh b/install.sh
new file mode 100644
index 00000000000..6da9b9a078a
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,11 @@
+post_install() {
+ cat <<- EOF
+ ==> Add the following lines to your ~/.emacs file.
+ ==> (add-to-list 'load-path "/usr/share/emacs/scala-mode")
+ ==> (require 'scala-mode-auto)
+EOF
+}
+
+post_upgrade() {
+ post_install $0
+}